<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:fitsSystemWindows="true"
    tools:context="edu.gatech.cs6440.ihiapp.activities.SignUpActivity">

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="24dp"
            android:paddingRight="24dp">

            <!--  ID Label -->
            <android.support.design.widget.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp">

                <EditText android:id="@+id/id_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:drawableLeft="@drawable/ic_id_icon"
                    android:drawablePadding="10dp"
                    android:hint="@string/patientID_hint" />

            </android.support.design.widget.TextInputLayout>

            <!--  Name Label -->
            <android.support.design.widget.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp">

                <EditText android:id="@+id/name_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="textCapWords"
                    android:drawableLeft="@drawable/ic_name_icon"
                    android:drawablePadding="10dp"
                    android:hint="@string/name_hint" />

            </android.support.design.widget.TextInputLayout>

            <!-- Email Label -->
            <android.support.design.widget.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp">

                <EditText android:id="@+id/email_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="textEmailAddress"
                    android:drawableLeft="@drawable/ic_email_icon"
                    android:drawablePadding="10dp"
                    android:hint="@string/email_hint" />

            </android.support.design.widget.TextInputLayout>

            <!-- Number Label -->
            <android.support.design.widget.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp">

                <EditText android:id="@+id/number_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:maxLength="10"
                    android:drawableLeft="@drawable/ic_phone_icon"
                    android:drawablePadding="10dp"
                    android:hint="@string/number_hint" />

            </android.support.design.widget.TextInputLayout>

            <!-- Password Label -->
            <android.support.design.widget.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:counterEnabled="true"
                app:counterMaxLength="8"
                app:hintEnabled="true"
                app:passwordToggleTint="@color/colorPrimary">

                <android.support.design.widget.TextInputEditText
                    android:id="@+id/password_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@drawable/ic_password_icon"
                    android:drawablePadding="10dp"
                    android:hint="@string/password_hint"
                    android:inputType="textPassword"/>
            </android.support.design.widget.TextInputLayout>


            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" >

                <EditText
                    android:id="@+id/doctor_view"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/doctor_hint"
                    android:drawableLeft="@drawable/ic_doctor_icon"
                    android:drawablePadding="10dp"
                    android:focusable="false">

                </EditText>
                <Button
                    android:id="@+id/btn_search"
                    android:padding="10dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:layout_alignTop="@+id/doctor_view"
                    android:layout_alignBottom="@+id/doctor_view"
                    android:layout_alignRight="@+id/doctor_view"
                    android:layout_alignEnd="@+id/doctor_view"
                    android:text="@string/search"
                    android:textStyle="bold"
                    android:textAllCaps="true"/>

            </RelativeLayout>

            <!-- Signup Button -->
            <android.support.v7.widget.AppCompatButton
                android:id="@+id/btn_signup"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:layout_marginBottom="24dp"
                android:background="@color/btnBackground"
                android:textColor="@android:color/white"
                android:padding="12dp"
                android:text="@string/btn_signUp"/>


        </LinearLayout>
    </ScrollView>
